Package ghidra.graph.viewer.event.mouse

# Class VisualGraphZoomingPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin<V,E>
ghidra.graph.viewer.event.mouse.VisualGraphZoomingPickingGraphMousePlugin<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseListener`, `MouseMotionListener`, `EventListener`

public class VisualGraphZoomingPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends VisualGraphAbstractGraphMousePlugin<V,E>
A handler to zoom nodes when double-clicked. If the vertex is zoomed out, then we will zoom in and center. If the vertex is zoomed to full size, then we will zoom out and center.

- ## Field Summary

  ### Fields inherited from class ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin

  `isHandlingMouseEvents, selectedEdge, selectedVertex`

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphZoomingPickingGraphMousePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`

  ### Methods inherited from class ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin

  `checkForEdge, checkForVertex, checkModifiers, installCursor, isOverEdge, isOverVertex, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, pickEdge, pickVertex, resetState, shouldShowCursor`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphZoomingPickingGraphMousePlugin

    public VisualGraphZoomingPickingGraphMousePlugin()

- ## Method Details

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`
    Overrides:
      `mousePressed` in class `VisualGraphAbstractGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`
    Overrides:
      `mouseClicked` in class `VisualGraphAbstractGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`